(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     61633,       1388]
NotebookOptionsPosition[     59131,       1338]
NotebookOutlinePosition[     59565,       1355]
CellTagsIndexPosition[     59522,       1352]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.811525494478994*^9, 3.8115255031878242`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"c46d6b00-7a9c-4500-8c8a-8da57fa9bec7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"a", ",", "b"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "c"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "f"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"a", ",", "h"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b", ",", "c"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"b", ",", "d"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "d"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "e"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"c", ",", "h"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "e"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"d", ",", "f"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"e", ",", "f"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"e", ",", "h"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"f", ",", "g"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"f", ",", "h"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"g", ",", "h"}], "}"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8115311247070675`*^9, 3.811531141578619*^9}, 
   3.811612671463524*^9},
 CellLabel->"In[23]:=",ExpressionUUID->"6247da36-3ca9-44ba-b2e1-d4c81a2dbc79"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC7y+rXN9vNf+wsXorIjb3y3L16jcku2lt3hfEP4
tM+OH+3R5e/xNNZmf2BwSLZ98vihwCsM+TnX3j+rO/7RPpZrL8O0ngcY8i2z
fmR2TvxgbzXdSqVa7SOGfejmo8uHbWtaue0Zk8OJ3dV+ge4HMNSjm48uT0i/
uaGR8JWjP+wZoADdP+jmo8ujm48uT8h8mPis5cc9ezJfY9iHrh9dHl0/unvQ
9QMAcAXygA==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8718850276533456, 1.490319651941764}, 
          0.029779458503799247], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.029779458503799247],
          InsetBox["b", 
          Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 
          0.029779458503799247], 
         InsetBox["c", 
          Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1112050076457427, 0.517161370699181}, 
          0.029779458503799247], 
         InsetBox["f", 
          Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0355314387794872, 1.071894780653976}, 
          0.029779458503799247], 
         InsetBox["h", 
          Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.36265308790352, 0.12717644054597899}, 
          0.029779458503799247], 
         InsetBox["d", 
          Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
         InsetBox["e", 
          Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
         InsetBox["g", 
          Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.811528306628555*^9, 3.8115311428760586`*^9, 
  3.8116133307805033`*^9, 3.81161738690248*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"7b80dc9f-d8ec-431a-a940-1a65a92e3afa"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"j", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"l", ",", "k"}], "}"}]}], "}"}], ",", 
   RowBox[{"vertices", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"o", ",", "p"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8115273455168147`*^9, 3.8115274561947403`*^9}, {
  3.8115274867757916`*^9, 3.811527583255367*^9}, {3.8115283690076046`*^9, 
  3.811528371276968*^9}},
 CellLabel->"In[24]:=",ExpressionUUID->"bb33f471-d76f-4809-900f-288406ff1f15"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`o, $CellContext`p, $CellContext`a, $CellContext`b, \
$CellContext`d, $CellContext`c, $CellContext`e, $CellContext`f, \
$CellContext`g, $CellContext`j, $CellContext`h, $CellContext`i, \
$CellContext`l, $CellContext`k}, {
      Null, {{3, 4}, {3, 5}, {4, 6}, {4, 7}, {4, 8}, {6, 8}, {7, 5}, {7, 8}, {
       7, 9}, {7, 10}, {7, 10}, {7, 10}, {8, 9}, {11, 12}, {12, 10}, {10, 
       11}, {13, 14}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        {Arrowheads[0.], 
         ArrowBox[{{0.6700128684312618, -0.2290829610263163}, {
          0.8458190203620792, -1.2166460706054338`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.6700128684312618, -0.2290829610263163}, {
          1.5318439065232483`, -0.31618125828672916`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.8458190203620792, -1.2166460706054338`}, {
          0.2290829610263163, -1.902982175909187}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.8458190203620792, -1.2166460706054338`}, {
          1.9910969089598733`, -1.3424004411754646`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.8458190203620792, -1.2166460706054338`}, {
          1.1290130873613506`, -1.9182364323776415`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.5318439065232483`, -0.31618125828672916`}, {
          1.9910969089598733`, -1.3424004411754646`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{0.2290829610263163, -1.902982175909187}, {
          1.1290130873613506`, -1.9182364323776415`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.9910969089598733`, -1.3424004411754646`}, {
          1.1290130873613506`, -1.9182364323776415`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.9910969089598733`, -1.3424004411754646`}, {
          1.8264695239251876`, -2.2922570736512164`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{
          1.9910969089598733`, -1.3424004411754646`}, {
          2.7439510290341045`, -1.0660581532379743`}, {
          3.5138655923759705`, -1.2905263054764797`}}], 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.9910969089598733`, -1.3424004411754646`}, {
          3.5138655923759705`, -1.2905263054764797`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[BezierCurveBox[{{
          1.9910969089598733`, -1.3424004411754646`}, {
          2.7610114723017425`, -1.566868593413965}, {
          3.5138655923759705`, -1.2905263054764797`}}], 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.1290130873613506`, -1.9182364323776415`}, {
          1.8264695239251876`, -2.2922570736512164`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{3.5138655923759705`, -1.2905263054764797`}, {
          4.476700180352582, -0.9527305312562688}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{3.5138655923759705`, -1.2905263054764797`}, {
          4.496243601243533, -1.5701741945662315`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{4.476700180352582, -0.9527305312562688}, {
          4.496243601243533, -1.5701741945662315`}}, 0.03868580628576042]}, 
        {Arrowheads[0.], 
         ArrowBox[{{1.229082961026316, -2.750422995703849}, {
          0.2290829610263161, -2.750422995703849}}, 0.03868580628576042]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{3.7126340025395494, -2.750422995703849}, 
          0.03868580628576042], 
         InsetBox["o", 
          Offset[{2, 2}, {3.75131980882531, -2.7117371894180886}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.470858481782933, -2.750422995703849}, 
          0.03868580628576042], 
         InsetBox["p", 
          Offset[{2, 2}, {2.5095442880686933, -2.7117371894180886}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.6700128684312618, -0.2290829610263163}, 
          0.03868580628576042], 
         InsetBox["a", 
          Offset[{2, 2}, {0.7086986747170223, -0.1903971547405559}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.8458190203620792, -1.2166460706054338}, 
          0.03868580628576042], 
         InsetBox["b", 
          Offset[{2, 2}, {0.8845048266478397, -1.1779602643196734}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.5318439065232483, -0.31618125828672916}, 
          0.03868580628576042], 
         InsetBox["d", 
          Offset[{2, 2}, {1.5705297128090088, -0.27749545200096876}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.2290829610263163, -1.902982175909187}, 
          0.03868580628576042], 
         InsetBox["c", 
          Offset[{2, 2}, {0.2677687673120767, -1.8642963696234265}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.9910969089598733, -1.3424004411754646}, 
          0.03868580628576042], 
         InsetBox["e", 
          Offset[{2, 2}, {2.029782715245634, -1.3037146348897042}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1290130873613506, -1.9182364323776415}, 
          0.03868580628576042], 
         InsetBox["f", 
          Offset[{2, 2}, {1.167698893647111, -1.879550626091881}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8264695239251876, -2.2922570736512164}, 
          0.03868580628576042], 
         InsetBox["g", 
          Offset[{2, 2}, {1.865155330210948, -2.253571267365456}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{3.5138655923759705, -1.2905263054764797}, 
          0.03868580628576042], 
         InsetBox["j", 
          Offset[{2, 2}, {3.552551398661731, -1.2518404991907193}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.476700180352582, -0.9527305312562688}, 
          0.03868580628576042], 
         InsetBox["h", 
          Offset[{2, 2}, {4.515385986638342, -0.9140447249705084}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{4.496243601243533, -1.5701741945662315}, 
          0.03868580628576042], 
         InsetBox["i", 
          Offset[{2, 2}, {4.534929407529293, -1.531488388280471}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.229082961026316, -2.750422995703849}, 
          0.03868580628576042], 
         InsetBox["l", 
          Offset[{2, 2}, {1.2677687673120765, -2.7117371894180886}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.2290829610263161, -2.750422995703849}, 
          0.03868580628576042], 
         InsetBox["k", 
          Offset[{2, 2}, {0.2677687673120765, -2.7117371894180886}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.811527356711729*^9, 3.8115273712006025`*^9}, 
   3.811527405838043*^9, 3.811527457201062*^9, 3.8115274912713633`*^9, {
   3.811527534514814*^9, 3.8115275840601916`*^9}, 3.8115283717756324`*^9, 
   3.81161333315226*^9, 3.8116173898247547`*^9},
 CellLabel->"Out[24]=",ExpressionUUID->"40b253b6-ce40-4552-878d-b48c218c28e1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "i"}], "}"}]}], "}"}], ",", 
   RowBox[{"dirigido", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.811528420372501*^9, 3.8115284393228703`*^9}, {
   3.8115311938066206`*^9, 3.8115312550508623`*^9}, 3.8116126775080013`*^9},
 CellLabel->"In[25]:=",ExpressionUUID->"7e1ee536-7b01-4bcf-96c0-dd57ae096fd1"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`d, $CellContext`e, $CellContext`f, \
$CellContext`g, $CellContext`h, $CellContext`i, $CellContext`b, \
$CellContext`c}, {{{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {1, 7}, {8, 3}, {8,
        4}, {8, 7}, {9, 2}, {9, 3}, {2, 3}, {2, 5}, {3, 4}, {3, 7}, {5, 3}, {
       5, 6}, {4, 7}}, Null}, {
      ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[{{0., 5.}, {1., 4.}}, 0.05338164251207729], 
        ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGBQBWIQjQpEHGCslelvHn09LwznRyzhsbk7C8Hn2ZbAvS0B
wT8850VAgyKCXwfWIATn27+cbPdyMoLP4r/9Wbsrgn+mk49V4pMgnD9rJggg
+K9A2u0QfMu+xxZ9jwXg/K4OEEDwbzTpAhGCH/Brif+vJfxw/od3IMAH54ON
s0Dw9cAG8ML5xmDADedfVK+9pF7LBecXyRwvlDnOCecLC4IAgr+BNRqIONDc
ww7nvwe7hw3NPQg+xD2scP4ZMGCB89NA0SWN4P9KnGj0oYQZzm8BBccNJjgf
Ev4IftUxvbj/exjhfEh4I/hg5acY4Pw1BupWIgkIPhQ4AAAVFXye
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGDQA2IQjQpEHNRucey7nbVzv/e7Zg+ts8IOlh4Bqd4iZ/bf
35d1aV2/sMPOE4WePnzX9+8u3DK3113YQX/S+8ipmx/sv8uWuOrYFyGHdukf
FQldz/Z71BX8iJwu5JDUcKmxnfvt/l/XH7W76ws5JCbYW7VKf9r/RXhHRP8e
QYfgvLoVJWzf9psZfcgytBd04Mhaxj3J7df+/Ubd+3S3Czj0HZ1joVj1e3+Q
jYL/2m4BByf2iPzGzj/7NYOfrJoaJeCgpH9j/aaSv/tdy69ffKYs4KBjK/tr
i/W//c6Bn9sdz/M7pBiq+3Xc+7e/5dxUpnZvfocT3N9W68T+3++XNk143h4+
h4gzncKLtv/fP0fi6642JT4HseJHLS/e/t9f9HTjD4daXgdowBwwBgNuB7XV
WnWbPv7fH3NZS1WugcthzppVP04eA+o/Vbvn6yVOhziWhny3+v/7P0no/Nyp
zemQvWnVI3Xp//sj9pnezuricDi+TSsob9a//dd2zUrieM/uUCjIsE/y79/9
mXzR/ZMi2R0yDmmpaTn/3S+wsyyR8xSbw5qTq7rm5/zZf2bX2xs5DmwOh27U
i7S1fdmf+Maey9mZySHELLQ0YfLn/UauQuqT9zM6zLC9evPqnk/737t1zvtm
yugw4d1/x2dMn/bP+LikIHcZg4Ol59W1E1M/7tdyTZ37XYDBYapvqOyNJx/2
BzRP8dR6/c9+ye/6CTsbPuxXOrect2fFX/vU4FB2M8sP+09ksbSLRP2xvxVy
tdGX78N+98hVWw///2UPCZ4P+2fNBIGfcP75G0dfzzf/Aed/PqyU+uDlN3tG
KJ89egNr9IavcHn2eXln+bu/wPlfe2L3/Kv8DOdfUq8Fok9wPlj5lI9wfkSi
X4nGgQ9wPpS2BwDFXU1t
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQjQpEHGbympsuPrRi/5OJU3dWnRN2kFu/JvjW4V37
nX03TvswRdihas9M0bOTj+6XNQqenhgs7KDxafoEj2Pn9uc7VO8+yyns4FOT
cXZ9zZX91hWazKY7hByepCtJdYrd2t90MzZvepyQw/u7NuIREg/2O6VI/P3y
R9BB1sa8dVLq4/01EpHrfScLOlT7MVz//OnZfoNv8q0LFQUdIiaHitrffLF/
hlLn5JP3BRzOtYT6hLS92l+x2MX/9ywBh0dKDDXGv17vP1MRtMMsWMChPzd0
yR2Tt/unLtp0rppDwOFaSuhRf7N3+1c4nlKZWsrvsJOD4X7Pv3f7BZ5fZnO7
wudgFhn6cXLv+/0ppk3OXLp8Dn5hoX9SHr/fv0Tn6q2H9bwOkHD5sP/sGRDg
gfPT3zz6el4awf+VONHoQwm3AyOU36J7o0n3BhdcnsV/+7N2VwS/+phe3P89
nHD+q8l2LyfbIfhg5ac44Pw1BupWIgkIPoTmcAAAOFS3pQ==
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGBQBWIQjQpEHISfb9bY7X94//TSydsbzgg7iO8Nc0jtu7qf
/86KPo5eYYcQvd+Np28+3J9h7NA63VHYQS5zTv5O7lf751dHztZ9JeRQ1t5u
Urfu4/5tW75cONUm5HCnX9P81LNv+9fdE1TLFxdyOOK7Zf+BdX/2t/3cMEtq
jqDDtAfCzw2aGQ/Ysl7SOysi6MD91XHjtW8sB64wlj5qaxRwYFqkFfxpJuuB
KH4mYc9EAQeuJWva72qyHdhtcfeNgpWAg9Lv434zlrEd+FnLVsDHI+Dgubxm
hZIA+wHFfb8tlNfxOzSuODWlJo39AMeOtichZvwOJ/9tFF62kv3AspdrH23c
wOegsMpIdf5N9gN/ggqNrWT5HDpW+ZxM/8Z+gOvLhWtvq3kdIOHCccAYDLgd
JoWK2t/8wX4g5rKWqlwDl4NfWOiflMfsB+acqt3z9RKngz7TAfPF+9kPfJLQ
+blTm9PBNDL04+Re9gMR+0xvZ3VxOCRHi2qa+7IfuLZrVhLHe3aHHRwM93v+
sR3I5IvunxTJ7mCSKCo8dSHbAYGdZYmcp9gcrqaEHvU3YztwZtfbGzkObA7z
hA983bOH9QCUdmA777sw5SbLASjtUGN+nlWMjeUAlHb46+OifNGJ+QCUduji
X/tzaj/TASjtoFTP2ZnyhvEAlHY4MTvyok0k4wEo7VCZOveS3DWGA1DawfzO
lR6uZIYDUBoaPgwHoLQDAM4F+cI=
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGAwB2IQjQpEHNRucey7nbXT3vtds4fWWWEHS4+AVG+RM/b3
92VdWtcv7LDzRKGnD991+92FW+b2ugs76E96Hzl18wP7u2yJq459EXJol/5R
kdD1zN6jruBH5HQhh6SGS43t3G/tf11/1O6uL+SQmGBv1Sr9yf6L8I6I/j2C
DsF5dStK2L7Zmxl9yDK0F3TgyFrGPcntl/1+o+59utsFHPqOzrFQrPptH2Sj
4L+2W8DBiT0iv7Hzj71m8JNVU6MEHJT0b6zfVPLX3rX8+sVnygIOOrayv7ZY
/7N3Dvzc7nie3yHFUN2v494/+5ZzU5navfkdTnB/W60T+9/eL22a8Lw9fA4R
ZzqFF23/bz9H4uuuNiU+B7HiRy0v3v63L3q68YdDLa8DNGAcjMGAG86/qF57
Sb2WC84vkjleKHOc04ERyhcWBAFOuPwG1mgg4oDzA34t8f+1hB3Of/8OBNjg
/L7HFkCE4OvdaNK90cQK55uA3cMM518Bu4cJzi8Eu4cR7h4hsHsY4fIbwe5h
gPMXfPGc/8Xzvz2Mf+8uCPyF82VBxhX+gfNjwB76DeengcE3e4HQmZPOv/lv
/0Y8LkiF46u9Y0iql93m//bsUbIzu49+tp/0N1ndJ/i//RadJVZz5n2yZwyc
qvnzzD/7j/2fzMImf7Sf5PczwFXhn/2BZo6+nYs/2Dt9659r4PvX3lngTH3P
/Pf2Ih6R/LuD/9hrWYnN/KH3zp7NJXTZE+Pf9mat79O3f31jL/aqOWnt25/2
KR/D35z4/Npe+6D6uUS2z/ay1/I7p0U+t++cnVHfGPvS/oZxhZa2/GP7Yvtl
dzRm37bXEH00j7fznn1IeYXH4+e77Ods2fIhaPJ1+67oPkepi8f3i7hleKnF
XrQPX8z5J8Pnzn7pyT/D+c8ety9deCX+rMXT/Qp/ToTe2bvH3prtsqmgzuv9
ciauZkv2r4SGz4f9sBwGAAuPSII=
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQDQEf7CG0gAOMH3z+xtHX8/nh/I0ekhW7TPkdGKF8
iZyDYjkH+eDyrZYXFzI4I/h/NoA08ML5dZfUay+pI/hs8/LO8nfzwPkzhGW5
DJ5ww/nGYMDt4BsW+ifl8Xv7mMtaqnINXA5mkaEfJ/e+t59zqnbP10ucDrs4
GO73/Htn/0lC5+dObU6HaymhR/3N3tlH7DO9ndXF4dCXG7rkjslb+2u7ZiVx
vGd3eKTEUGP867V9Jl90/6RIdofzLaE+IW2v7AV2liVynmJziJgcKmp/84X9
mV1vb+Q4sDlU+zFc//zpmf084QNf9+xhdZCxMW+dlPrYnu2878KUmywO7+/a
iEdIPLCvMT/PKsbG4vAsXUmqU+yW/V8fF+WLTswOPjUZZ9fXXLHv4l/7c2o/
k4P6p+kTPI6ds1eq5+xMecPoUL1npujZyUftT8yOvGgTyeggt35N8K3Du+wr
U+dekrvG4DCP19x08aEV9uZ3rvRwJTM4MKACBwBAZaQu
         "]], 0.05338164251207729], 
        ArrowBox[{{1., 4.}, {-1., 3.}}, 0.05338164251207729], 
        ArrowBox[{{0., 2.}, {-1., 1.}}, 0.05338164251207729], 
        ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQjQYcYIzl8zZ2X7f/bw/jJ000+lCS/Q/O17vRpHuj
6S+cz1O8yJmx7Q+c/ysRpOE3gr/EH4QQ6m3uzpIX+wnnG6pbiSSc+A7np4HB
N/uFm1auYp6ds3/HslAvG4avUH7PfvOpvyteL/1sX1Xyn99IfMH+B4YRn4rD
P0Hl1+zfUJO97arIR/v+ySF3pSK37Y94ndWluOc9VP2B/Yssc2y90t7aH3mz
8ty6Z0f3Oz251aqq8Rqq/8x+09fbkjczvrTnSv4fKCF1aX+1H8P1z5+e2R9r
n/j1lsnN/TI25q2TUh/bK7q0XfQ/f3//+7s24hESD+z5zrwr2v3l0f5n6UpS
nWK37G8d9JZccfDpfp+ajLPra67YlzHfup3r92K/+qfpEzyOnbN/NGHmLp7Z
r/ZX75kpenbyUXuZrK6tLcvf7Jdbvyb41uFd9ur9a85cLX63fx6vueniQyug
4fNhPyycAARQu9c=
         "]], 0.05338164251207729], 
        ArrowBox[{{-1., 1.}, {-1., 0.}}, 0.05338164251207729], 
        ArrowBox[{{-1., 3.}, {0., 2.}}, 0.05338164251207729], 
        ArrowBox[{{-1., 3.}, {-2., 2.}}, 0.05338164251207729], 
        ArrowBox[{{-4., 3.}, {0., 2.}}, 0.05338164251207729], 
        ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGCQAWIQDQECByA0h0Pw+RtHX8/nPxACptkdNnpIVuwy5T+w
CUyzO0jkHBTLOch3QBxMszm0Wl5cyODMd6ANTLM5/NkAUsh74C+YZnWou6Re
e0md9wCEZnVgm5d3lr+b5wAHmGZxmCEsy2XwhPvATDDN7GAMBtwHTMA0s0Pd
tupPlVVcB1RneeTcb2ByUAk/+DFlD+eBnU+/3Ph1ldFBRZTF8MsPjgOfRC0q
W40YHSo/OG9QN+A4cE5LyLd+GoOD5suG/P+J7Af8VJpDXjAyOBj935VX3cd2
4BGLmHzjy3/2k40+rZ29lfVAQVfwH/57f+39mtV0E66zHHC/uc+h9uEf+6SP
4W9OfGY+kAymf9vvZKy/mCPMdGAXmP5l79bO4qoZxnDAA0z/sBdhudj7p/zv
fu6mF27/dn+zZ34Suu5656/9TJ+0rr92+Wofv27668cPv+83uH7668cPn+3V
k6e5KjZ83T/F8PQigQOf7COZgvb0p3zer8uoec9900f7792n/PX7P+7/4/p0
+fTjH+wh8fRhP5S2BwA0vsm4
         "]], 0.05338164251207729], ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGBQBWIQDQECByA0hwOMH3L+xtHX89nh/E0ekhW7TNkdGKF8
8ZyDYjkH2eDybZYXFzI4I/h/N4A0sML5dZfUay+pI/gc8/LO8nezwPkzhWW5
DJ4ww/kmxiCA4F8Baa9lgvMLZY4DESPcPUKCIMAIl9/IGr2BNZoBzl/wxXP+
F8//9jD+vbsg8BfOlwUZV/gHzo/ZADLgN5yfBgbf7DtW+ZxM/8Z/4I14XJAK
x1d7xVVGqvNv8h9gj5Kd2X30s/2pfxuFl63kP7BFZ4nVnHmf7BtWnJpSk8Z/
4GP/J7OwyR/tPZfXrFAS4D9woJmjb+fiD/ZKv4/7zVjGd8BZ4Ex9z/z39lxL
1rTf1eQ7oGUlNvOH3jt7pkVawZ9m8h4wa32fvv3rG3vur44br33jOZDyMfzN
ic+v7ac9EH5u0Mx5QPZafue0yOf2j9RuxSeEsx24YVyhpS3/2P798SnSqcXM
BzREH83j7bxnv/uws5T9dYYDc7Zs+RA0+bp9v8m57XdY/+4XccvwUou9aK81
/e+Bp29+7Jee/DOc/+xxe7f1ogEzk7/uV/hzIvTO3j32j2vEUr9nftovZ+Jq
tmT/Smj4fNgPS0kAognXIg==
         "]], 0.05338164251207729], 
        ArrowBox[{{3., 5.}, {1., 4.}}, 0.05338164251207729], 
        ArrowBox[BezierCurveBox[CompressedData["
1:eJxTTMoPSmViYGBQBWIQDQEcDhBaxOE/GLA7rEx/8+jreWEHmHzEEh6bu7OE
HRihfJ5tCdzbEhDyh+e8CGhQRPDrwBqE4Hz7l5PtXk5G8Fn8tz9rd0Xwz3Ty
sUp8EoTzZ80EAUG4e16BtNsh5C37Hlv0PRaAu6erAwQE4PI3mnSBCMEP+LXE
/9cSfjj/wzsQ4IPzwcZZIPh6YAN44XxjMOB2aF/lczL9G7vDN259TaEWLgfF
VUaq82+yO7Cs7Ttz9BGnw8l/G4WXrWR3iBELkvXz53RoWHFqSk0au8MP90rp
1Sc5HDyX16xQEmB3eOjIcvxOIIeD0u/jfjOWsTkIsXyWf/yc3YFryZr2u5ps
Dl19rmr7utkdmBZpBX+ayerg9/D3zVxbdgfur44br31jcYj8I2r96Q+bw7QH
ws8Nmhkd2r9GL0q9xupwxHfL/gPr/th/55l36tRxFod7/Zrmp559s1/mdGez
4kVmh9L2dpO6dR/tp0wTi8v6xOQglzknfyf3K/tDHL4nl2gzOYTq/W48ffOh
vdHM+q8XahgdxPeGOaT2XbV/6L7u0bunDA5izzdr7PY/bH9R5OaEf2kMDgyo
wAEAqEfOow==
         "]], 0.05338164251207729]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {DiskBox[{0., 5.}, 0.05338164251207729], 
         InsetBox["a", 
          Offset[{2, 2}, {0.05338164251207729, 5.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{1., 4.}, 0.05338164251207729], 
         InsetBox["d", 
          Offset[{2, 2}, {1.0533816425120772, 4.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{0., 2.}, 0.05338164251207729], 
         InsetBox["e", 
          Offset[{2, 2}, {0.05338164251207729, 2.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{-1., 1.}, 0.05338164251207729], 
         InsetBox["f", 
          Offset[{2, 2}, {-0.9466183574879227, 1.0533816425120772}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{-1., 3.}, 0.05338164251207729], 
         InsetBox["g", 
          Offset[{2, 2}, {-0.9466183574879227, 3.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{-2., 2.}, 0.05338164251207729], 
         InsetBox["h", 
          Offset[{2, 2}, {-1.9466183574879228, 2.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{-1., 0.}, 0.05338164251207729], 
         InsetBox["i", 
          Offset[{2, 2}, {-0.9466183574879227, 0.05338164251207729}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{-4., 3.}, 0.05338164251207729], 
         InsetBox["b", 
          Offset[{2, 2}, {-3.946618357487923, 3.053381642512077}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {DiskBox[{3., 5.}, 0.05338164251207729], 
         InsetBox["c", Offset[{2, 2}, {3.053381642512077, 5.053381642512077}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8115283906155043`*^9, {3.8115284211676474`*^9, 3.8115284397287855`*^9}, 
   3.811531255425858*^9, 3.811613335685956*^9, 3.811617392656356*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"e3792fd5-fe4a-456b-9433-401242ebaef1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "i"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "a"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "j"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"h", ",", "i"}], "}"}]}], "}"}], ",", 
   RowBox[{"dirigido", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.811527633572443*^9, 3.8115276408077574`*^9}, {
  3.811527683630962*^9, 3.8115278693230114`*^9}, {3.8115279009829817`*^9, 
  3.8115280607305813`*^9}, {3.8115284745330143`*^9, 3.811528491383506*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"2a49de4b-d94d-4d66-b09b-084627c053bd"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`j, $CellContext`c, $CellContext`i, \
$CellContext`g, $CellContext`h}, {{{1, 1}, {1, 2}, {1, 3}, {1, 4}, {1, 5}, {1,
        6}, {2, 7}, {2, 3}, {2, 8}, {2, 6}, {7, 3}, {7, 9}, {7, 5}, {7, 10}, {
       3, 1}, {3, 4}, {3, 5}, {4, 6}, {5, 9}, {5, 10}, {5, 10}, {10, 8}}, 
       Null}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        ArrowBox[BezierCurveBox[{{0.7324986192316477, 0.8612084406966093}, {
         0.9210699193779681, 0.598732210539805}, {0.8897391056440085, 
         0.4632973820417635}, {0.824069589636353, 0.39657396487548174`}, {
         0.5620437684234176, 0.4193763656065617}, {0.5088871420669601, 
         0.49644044806671533`}, {0.5014221544872699, 0.6352514224886286}, {
         0.7324986192316477, 0.8612084406966093}},
         SplineDegree->7], 0.02963210795489181], 
        ArrowBox[{{0.7324986192316477, 0.8612084406966093}, {
         1.2733880924029335`, 1.5566534134271854`}}, 0.02963210795489181], 
        ArrowBox[BezierCurveBox[{{0.7324986192316477, 0.8612084406966093}, {
         1.0153943782957555`, 0.7805348751187227}, {1.19518092792363, 
         0.5476936604413908}}], 0.02963210795489181], 
        ArrowBox[{{0.7324986192316477, 0.8612084406966093}, {0., 
         0.5324011240478184}}, 0.02963210795489181], 
        ArrowBox[{{0.7324986192316477, 0.8612084406966093}, {
         2.0111952279420695`, 0.4489140730132203}}, 0.02963210795489181], 
        ArrowBox[{{0.7324986192316477, 0.8612084406966093}, {
         0.08171481513468093, 1.4378121232720664`}}, 0.02963210795489181], 
        ArrowBox[{{1.2733880924029335`, 1.5566534134271854`}, {
         1.19518092792363, 0.5476936604413908}}, 0.02963210795489181], 
        ArrowBox[{{1.2733880924029335`, 1.5566534134271854`}, {
         0.08171481513468093, 1.4378121232720664`}}, 0.02963210795489181], 
        ArrowBox[{{1.2733880924029335`, 1.5566534134271854`}, {
         2.2481264512227366`, 0.8854772063365782}}, 0.02963210795489181], 
        ArrowBox[{{1.2733880924029335`, 1.5566534134271854`}, {
         2.1887087291515672`, 2.3922793952919044`}}, 0.02963210795489181], 
        ArrowBox[BezierCurveBox[{{1.19518092792363, 0.5476936604413908}, {
         0.9122851688595206, 0.6283672260192831}, {0.7324986192316477, 
         0.8612084406966093}}], 0.02963210795489181], 
        ArrowBox[{{1.19518092792363, 0.5476936604413908}, {0., 
         0.5324011240478184}}, 0.02963210795489181], 
        ArrowBox[{{1.19518092792363, 0.5476936604413908}, {
         2.0111952279420695`, 0.4489140730132203}}, 0.02963210795489181], 
        ArrowBox[{{0., 0.5324011240478184}, {0.08171481513468093, 
         1.4378121232720664`}}, 0.02963210795489181], 
        ArrowBox[{{2.0111952279420695`, 0.4489140730132203}, {
         2.915726719302308, 0.}}, 0.02963210795489181], 
        ArrowBox[BezierCurveBox[{{2.0111952279420695`, 0.4489140730132203}, {
         2.196662017296097, 1.0995491359362222`}, {2.7321155396234227`, 
         1.513086849434507}}], 0.02963210795489181], 
        ArrowBox[BezierCurveBox[{{2.0111952279420695`, 0.4489140730132203}, {
         2.546648750269385, 0.8624517865114901}, {2.7321155396234227`, 
         1.513086849434507}}], 0.02963210795489181], 
        ArrowBox[{{2.2481264512227366`, 0.8854772063365782}, {
         1.19518092792363, 0.5476936604413908}}, 0.02963210795489181], 
        ArrowBox[{{2.2481264512227366`, 0.8854772063365782}, {
         2.0111952279420695`, 0.4489140730132203}}, 0.02963210795489181], 
        ArrowBox[{{2.2481264512227366`, 0.8854772063365782}, {
         2.915726719302308, 0.}}, 0.02963210795489181], 
        ArrowBox[{{2.2481264512227366`, 0.8854772063365782}, {
         2.7321155396234227`, 1.513086849434507}}, 0.02963210795489181], 
        ArrowBox[{{2.7321155396234227`, 1.513086849434507}, {
         2.1887087291515672`, 2.3922793952919044`}}, 0.02963210795489181]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{0.7324986192316477, 0.8612084406966093}, 
          0.02963210795489181], 
         InsetBox["a", 
          Offset[{2, 2}, {0.7621307271865395, 0.8908405486515011}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.2733880924029335, 1.5566534134271854}, 
          0.02963210795489181], 
         InsetBox["b", 
          Offset[{2, 2}, {1.3030202003578253, 1.5862855213820772}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.19518092792363, 0.5476936604413908}, 0.02963210795489181],
          InsetBox["d", 
          Offset[{2, 2}, {1.2248130358785219, 0.5773257683962826}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.5324011240478184}, 0.02963210795489181], 
         InsetBox["e", 
          Offset[{2, 2}, {0.02963210795489181, 0.5620332320027102}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.0111952279420695, 0.4489140730132203}, 
          0.02963210795489181], 
         InsetBox["f", 
          Offset[{2, 2}, {2.0408273358969615, 0.4785461809681121}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.08171481513468093, 1.4378121232720664}, 
          0.02963210795489181], 
         InsetBox["j", 
          Offset[{2, 2}, {0.11134692308957274, 1.4674442312269582}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.2481264512227366, 0.8854772063365782}, 
          0.02963210795489181], 
         InsetBox["c", Offset[{2, 2}, {2.2777585591776286, 0.91510931429147}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1887087291515672, 2.3922793952919044}, 
          0.02963210795489181], 
         InsetBox["i", 
          Offset[{2, 2}, {2.2183408371064592, 2.4219115032467964}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.915726719302308, 0.}, 0.02963210795489181], 
         InsetBox["g", Offset[{2, 2}, {2.9453588272572, 0.02963210795489181}],
           ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.7321155396234227, 1.513086849434507}, 
          0.02963210795489181], 
         InsetBox["h", 
          Offset[{2, 2}, {2.7617476475783147, 1.542718957389399}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8115276414809546`*^9, {3.811527690819084*^9, 3.811527759635215*^9}, {
   3.811527871999507*^9, 3.811528061157414*^9}, {3.8115284781141076`*^9, 
   3.811528492297717*^9}, 3.8116133387828655`*^9, 3.8116173959066277`*^9},
 CellLabel->"Out[26]=",ExpressionUUID->"974d5767-20a6-408d-ab8f-02325efa597a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
   RowBox[{"shape", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.811613545108801*^9, 3.81161354585306*^9}},
 CellLabel->"In[27]:=",ExpressionUUID->"8f955cbb-dce7-42d5-9917-c51020b644e8"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      ImagePadding -> 10, VertexShapeFunction -> {{White, 
          EdgeForm[Black], 
          Disk[#, 0.1], Black, 
          Text[#2, #]}& }}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImKC7y+rXN9vNf+wsXorIjb3y3L16jcku2lt3hfEP4
tM+OH+3R5e/xNNZmf2BwSLZ98vihwCsM+TnX3j+rO/7RPpZrL8O0ngcY8i2z
fmR2TvxgbzXdSqVa7SOGfejmo8uHbWtaue0Zk8OJ3dV+ge4HMNSjm48uT0i/
uaGR8JWjP+wZoADdP+jmo8ujm48uT8h8mPis5cc9ezJfY9iHrh9dHl0/unvQ
9QMAcAXygA==
         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{1.8718850276533456, 1.490319651941764}, 0.1], 
         {GrayLevel[0], 
          InsetBox["a", {1.8718850276533456, 1.490319651941764}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.1], 
         {GrayLevel[0], 
          InsetBox["b", {2.936092094654265, 1.07860144355077}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 0.1], 
         {GrayLevel[0], 
          InsetBox["c", {2.1173925213821425, 0.8145608378417076}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{1.1112050076457427, 0.517161370699181}, 0.1], 
         {GrayLevel[0], 
          InsetBox["f", {1.1112050076457427, 0.517161370699181}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{1.0355314387794872, 1.071894780653976}, 0.1], 
         {GrayLevel[0], 
          InsetBox["h", {1.0355314387794872, 1.071894780653976}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{2.36265308790352, 0.12717644054597899}, 0.1], 
         {GrayLevel[0], 
          InsetBox["d", {2.36265308790352, 0.12717644054597899}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{1.548297953590987, 0.}, 0.1], 
         {GrayLevel[0], InsetBox["e", {1.548297953590987, 0.}]}}, 
        {GrayLevel[1], EdgeForm[GrayLevel[0]], 
         DiskBox[{0., 0.8566342774404234}, 0.1], 
         {GrayLevel[0], InsetBox["g", {0., 0.8566342774404234}]}}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{3.8116135470191517`*^9, 3.811617398607075*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"c0293a1e-6bcf-4911-a9f6-0bf0cd4b5e5e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
   RowBox[{"dimensions3d", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8116133133502283`*^9, 3.8116133484501057`*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"99befa56-6dec-4888-a582-503f4cc01d03"],

Cell[BoxData[
 Graphics3DBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      GraphLayout -> {"Dimension" -> 3}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroup3DBox[{
       {Hue[0.6, 0.2, 0.8], TubeBox[CompressedData["
1:eJxTTMoPSmVmYGAQAGImIAaxdcruPLv15b09AxR8P2E1vf7LFTi/6Prnw8Eu
1+xFTot+4Ws5Z49LfQL3x96Lis/tW7/nHMvb8tQ+d1VWbKfrC5zqJaeEzord
8tueccpd1c83nsPlcakPen0wVPzNH/uebF0OxZP37S/w/N3GlPQMpztxuQeX
+qy6ox2TY5/Y12ge/T/f6pP9g7iW558VZuI0B5d7cKkn1fxlXk5Hl3R9tZ85
6YDc6lNf7Y9ybdossPcRznDD5R5c6nG5B5d6Ut3T5pUZ6xrH5iC0YNbdYIH7
9n8Zwi4KcZ/DGW64zMelHpf5uPyFy3wA/gVmgQ==
         "]]}, 
       {Hue[
        0.6, 0.6, 1], {
         SphereBox[{0.9986395367629419, 0., 0.3274229981281133}, 
          0.0575174256814624], 
         Text3DBox["a", {1.0619087050125504`, 0., 
          0.39069216637772197`}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{0., 0.347920361862058, 0.23840510290354955`}, 
          0.0575174256814624], 
         Text3DBox["b", {0.06326916824960864, 0.347920361862058, 
          0.3016742711531582}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{0.7228782436653596, 0.6782754779339802, 
          0.758488352255268}, 0.0575174256814624], 
         Text3DBox["c", {0.7861474119149682, 0.6782754779339802, 
          0.8217575205048767}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{1.731534579151463, 0.745233129459507, 0.}, 
          0.0575174256814624], 
         Text3DBox["f", {1.7948037474010714`, 0.745233129459507, 
          0.06326916824960864}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{1.8076394414808488`, 0.49665094183517833`, 
          0.699464185141915}, 0.0575174256814624], 
         Text3DBox["h", {1.8709086097304573`, 0.49665094183517833`, 
          0.7627333533915236}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{0.6364228888814527, 1.1393127432844201`, 
          0.024539767270737367`}, 0.0575174256814624], 
         Text3DBox["d", {0.6996920571310613, 1.1393127432844201`, 
          0.08780893552034601}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{1.346348543684749, 1.3619795991191153`, 
          0.5855792531659395}, 0.0575174256814624], 
         Text3DBox["e", {1.4096177119343576`, 1.3619795991191153`, 
          0.6488484214155482}, {-1, -1},
          BaseStyle->"Graphics"]}, {
         SphereBox[{2.796030740524034, 0.4853715576268779, 
          0.23471293660623607`}, 0.0575174256814624], 
         Text3DBox["g", {2.8592999087736426`, 0.4853715576268779, 
          0.29798210485584475`}, {-1, -1},
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  BaseStyle->{Graphics3DBoxOptions -> {Method -> {"ShrinkWrap" -> True}}},
  Boxed->False,
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  ImagePadding->10,
  Lighting->Dynamic[
    FEPrivate`If[
     FEPrivate`SameQ[FEPrivate`$OperatingSystem, "Windows"], {{"Directional", 
       GrayLevel[0.7], 
       ImageScaled[{1, 1, 0}]}, {"Point", 
       GrayLevel[0.9], 
       ImageScaled[{0, 0, 3.5}], {0, 0, 0.07}}}, {{"Directional", 
       GrayLevel[0.7], 
       ImageScaled[{1, 1, 0}]}, {"Point", 
       GrayLevel[0.9], 
       ImageScaled[{0, 0, 0}], {0, 0, 0.07}}}]],
  ViewPoint->{3.1820271109319758`, 0.9930414993305162, 0.5818694405975521},
  ViewVertical->{0.11517333634012453`, 0.6060778403752103, 
   0.7870227150485593}]], "Output",
 CellChangeTimes->{3.8116133491611953`*^9, 3.811617401929261*^9},
 CellLabel->"Out[28]=",ExpressionUUID->"5e8cd717-c7cf-451a-b52e-b7e342975ced"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Grafo", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "h"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"g", ",", "h"}], "}"}]}], "}"}], ",", 
   RowBox[{"pesos", "\[Rule]", 
    RowBox[{"RandomInteger", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "20"}], "}"}], ",", "16"}], "]"}]}], ",", 
   RowBox[{"mostrarpesos", "\[Rule]", "True"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.811613930432208*^9, 3.811613977305784*^9}, {
  3.8116160217313952`*^9, 3.8116160247109027`*^9}},
 CellLabel->"In[29]:=",ExpressionUUID->"a4d19061-3e2e-46e9-a1fd-5d4958bc499a"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`c, $CellContext`f, \
$CellContext`h, $CellContext`d, $CellContext`e, $CellContext`g}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {2, 3}, {2, 6}, {3, 6}, {3, 7}, {
       3, 5}, {6, 7}, {6, 4}, {7, 4}, {7, 5}, {4, 8}, {4, 5}, {8, 5}}}, {
      EdgeLabels -> {
        UndirectedEdge[$CellContext`a, $CellContext`h] -> 14, 
         UndirectedEdge[$CellContext`e, $CellContext`h] -> 2, 
         UndirectedEdge[$CellContext`c, $CellContext`d] -> 5, 
         UndirectedEdge[$CellContext`b, $CellContext`d] -> 8, 
         UndirectedEdge[$CellContext`g, $CellContext`h] -> 17, 
         UndirectedEdge[$CellContext`a, $CellContext`c] -> 14, 
         UndirectedEdge[$CellContext`f, $CellContext`g] -> 4, 
         UndirectedEdge[$CellContext`c, $CellContext`h] -> 3, 
         UndirectedEdge[$CellContext`a, $CellContext`f] -> 20, 
         UndirectedEdge[$CellContext`c, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`b, $CellContext`c] -> 8, 
         UndirectedEdge[$CellContext`d, $CellContext`e] -> 1, 
         UndirectedEdge[$CellContext`e, $CellContext`f] -> 9, 
         UndirectedEdge[$CellContext`d, $CellContext`f] -> 18, 
         UndirectedEdge[$CellContext`f, $CellContext`h] -> 4, 
         UndirectedEdge[$CellContext`a, $CellContext`b] -> 11}, 
       EdgeWeight -> {11, 14, 20, 14, 8, 8, 5, 1, 3, 1, 18, 9, 2, 4, 4, 17}, 
       ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[
        0.7], {LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.936092094654265, 1.07860144355077}}], 
         InsetBox["11", {2.403988561153805, 1.2844605477462672}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          2.1173925213821425`, 0.8145608378417076}}], 
         InsetBox["14", {1.994638774517744, 1.152440244891736}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.1112050076457427`, 0.517161370699181}}], 
         InsetBox["20", {1.4915450176495442, 1.0037405113204725}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.8718850276533456`, 1.490319651941764}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["14", {1.4537082332164164, 1.28110721629787}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.1173925213821425`,
           0.8145608378417076}}], 
         InsetBox["8", {2.5267423080182034, 0.9465811406962388}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.936092094654265, 1.07860144355077}, {2.36265308790352, 
          0.12717644054597899`}}], 
         InsetBox["8", {2.649372591278892, 0.6028889420483745}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["3", {1.5764619800808148, 0.9432278092478419}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          2.36265308790352, 0.12717644054597899`}}], 
         InsetBox["5", {2.240022804642831, 0.4708686391938433}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.1173925213821425`, 0.8145608378417076}, {
          1.548297953590987, 0.}}], 
         InsetBox["1", {1.832845237486565, 0.4072804189208538}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.0355314387794872`, 1.071894780653976}}], 
         InsetBox["4", {1.073368223212615, 0.7945280756765785}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {2.36265308790352,
           0.12717644054597899`}}], 
         InsetBox["18", {1.7369290477746313, 0.32216890562258}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {
          1.548297953590987, 0.}}], 
         InsetBox["9", {1.329751480618365, 0.2585806853495905}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.1112050076457427`, 0.517161370699181}, {0., 
          0.8566342774404234}}], 
         InsetBox["4", {0.5556025038228714, 0.6868978240698023}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {
          1.548297953590987, 0.}}], 
         InsetBox["2", {1.2919146961852372, 0.535947390326988}, ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{1.0355314387794872`, 1.071894780653976}, {0., 
          0.8566342774404234}}], 
         InsetBox["17", {0.5177657193897436, 0.9642645290471997}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}, {
         LineBox[{{2.36265308790352, 0.12717644054597899`}, {
          1.548297953590987, 0.}}], 
         InsetBox["1", {1.9554755207472536, 0.06358822027298949}, 
          ImageScaled[{0.5, 0.5}],
          BaseStyle->"Graphics"]}}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.8718850276533456, 1.490319651941764}, 
          0.029779458503799247], 
         InsetBox["a", 
          Offset[{2, 2}, {1.9016644861571448, 1.5200991104455632}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.936092094654265, 1.07860144355077}, 0.029779458503799247],
          InsetBox["b", 
          Offset[{2, 2}, {2.965871553158064, 1.1083809020545692}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.1173925213821425, 0.8145608378417076}, 
          0.029779458503799247], 
         InsetBox["c", 
          Offset[{2, 2}, {2.147171979885942, 0.8443402963455069}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.1112050076457427, 0.517161370699181}, 
          0.029779458503799247], 
         InsetBox["f", 
          Offset[{2, 2}, {1.1409844661495419, 0.5469408292029803}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.0355314387794872, 1.071894780653976}, 
          0.029779458503799247], 
         InsetBox["h", 
          Offset[{2, 2}, {1.0653108972832863, 1.1016742391577752}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{2.36265308790352, 0.12717644054597899}, 
          0.029779458503799247], 
         InsetBox["d", 
          Offset[{2, 2}, {2.3924325464073193, 0.15695589904977825}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.548297953590987, 0.}, 0.029779458503799247], 
         InsetBox["e", 
          Offset[{2, 2}, {1.5780774120947862, 0.029779458503799247}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.8566342774404234}, 0.029779458503799247], 
         InsetBox["g", 
          Offset[{2, 2}, {0.029779458503799247, 0.8864137359442227}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{{3.811613957974519*^9, 3.8116139781099415`*^9}, 
   3.8116174059388776`*^9},
 CellLabel->"Out[29]=",ExpressionUUID->"45cac313-4fee-406b-985c-ee21028e70df"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"grafo", "=", 
   RowBox[{"Grafo", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a", ",", "b"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"a", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "c"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"b", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "d"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"c", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "e"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"d", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "f"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"e", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "g"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"f", ",", "h"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"g", ",", "h"}], "}"}]}], "}"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListaVertices", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CantNodos", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListaAristas", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CantAristas", "[", "grafo", "]"}]}], "Input",
 CellChangeTimes->{{3.8116160061364527`*^9, 3.811616072640477*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"4b7816ec-56ff-4292-ad83-a526b2c01f57"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "a", ",", "b", ",", "c", ",", "d", ",", "e", ",", "f", ",", "g", ",", "h"}],
   "}"}]], "Output",
 CellChangeTimes->{3.8116160745034714`*^9, 3.8116174097784367`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"b38b15e3-286e-4f5c-bb74-5e33e894a37f"],

Cell[BoxData["8"], "Output",
 CellChangeTimes->{3.8116160745034714`*^9, 3.811617409780429*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"21cf064a-77a4-423b-a8e6-a401a407ef03"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "b"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "d"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"d", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "f"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"f", ",", "h"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"g", ",", "h"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8116160745034714`*^9, 3.8116174097834225`*^9},
 CellLabel->"Out[33]=",ExpressionUUID->"a072175d-68e7-444c-a34b-56b00e6b666f"],

Cell[BoxData["16"], "Output",
 CellChangeTimes->{3.8116160745034714`*^9, 3.8116174097854495`*^9},
 CellLabel->"Out[34]=",ExpressionUUID->"4d107c0d-9c2e-4061-9e49-95e0fa9e53ae"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f93cfd1b-7b0c-4a8a-aa9b-915c74edae8b"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 200, 3, 63, "Input",ExpressionUUID->"c46d6b00-7a9c-4500-8c8a-8da57fa9bec7"],
Cell[CellGroupData[{
Cell[783, 27, 1234, 38, 222, "Input",ExpressionUUID->"6247da36-3ca9-44ba-b2e1-d4c81a2dbc79"],
Cell[2020, 67, 3349, 73, 450, "Output",ExpressionUUID->"7b80dc9f-d8ec-431a-a940-1a65a92e3afa"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5406, 145, 1520, 45, 222, "Input",ExpressionUUID->"bb33f471-d76f-4809-900f-288406ff1f15"],
Cell[6929, 192, 7960, 165, 499, "Output",ExpressionUUID->"40b253b6-ce40-4552-878d-b48c218c28e1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14926, 362, 1509, 44, 255, "Input",ExpressionUUID->"7e1ee536-7b01-4bcf-96c0-dd57ae096fd1"],
Cell[16438, 408, 10788, 192, 572, "Output",ExpressionUUID->"e3792fd5-fe4a-456b-9433-401242ebaef1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[27263, 605, 1835, 53, 298, "Input",ExpressionUUID->"2a49de4b-d94d-4d66-b09b-084627c053bd"],
Cell[29101, 660, 7302, 133, 636, "Output",ExpressionUUID->"974d5767-20a6-408d-ab8f-02325efa597a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36440, 798, 1299, 39, 255, "Input",ExpressionUUID->"8f955cbb-dce7-42d5-9917-c51020b644e8"],
Cell[37742, 839, 2986, 59, 463, "Output",ExpressionUUID->"c0293a1e-6bcf-4911-a9f6-0bf0cd4b5e5e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[40765, 903, 1311, 39, 255, "Input",ExpressionUUID->"99befa56-6dec-4888-a582-503f4cc01d03"],
Cell[42079, 944, 4077, 84, 1080, "Output",ExpressionUUID->"5e8cd717-c7cf-451a-b52e-b7e342975ced"]
}, Open  ]],
Cell[CellGroupData[{
Cell[46193, 1033, 1529, 45, 335, "Input",ExpressionUUID->"a4d19061-3e2e-46e9-a1fd-5d4958bc499a"],
Cell[47725, 1080, 7958, 152, 457, "Output",ExpressionUUID->"45cac313-4fee-406b-985c-ee21028e70df"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55720, 1237, 1604, 44, 437, "Input",ExpressionUUID->"4b7816ec-56ff-4292-ad83-a526b2c01f57"],
Cell[57327, 1283, 286, 6, 100, "Output",ExpressionUUID->"b38b15e3-286e-4f5c-bb74-5e33e894a37f"],
Cell[57616, 1291, 173, 2, 100, "Output",ExpressionUUID->"21cf064a-77a4-423b-a8e6-a401a407ef03"],
Cell[57792, 1295, 1144, 36, 188, "Output",ExpressionUUID->"a072175d-68e7-444c-a34b-56b00e6b666f"],
Cell[58939, 1333, 176, 2, 107, "Output",ExpressionUUID->"4d107c0d-9c2e-4061-9e49-95e0fa9e53ae"]
}, Open  ]]
}
]
*)

